planarity(1)

NAME
planarity - The Edge Addition Planarity Suite

SYNOPSIS
planarity [-q] [-h|-help] [-i|-info] [-r] [-s] [-rm] [-rn]

DESCRIPTION
Invokes the Edge Addition Planarity Suite commandline tool.

Without argument, the tool presents a menu-driven interactive interface.

When used in batch mode, the tool returns 0 for a planar graph, 1 for a nonplanar graph and -1 on error.

OPTIONS

-q  Quiet mode

-h, -help
    Display some help

-i, -info
    Display copyright, license and reference articles information

FEATURES
Features in batch mode.

-r C K N
    Run the C command (see below) on K random graphs with N vertices

-s C I O [O2]
    Run the C command (see below) on a specific graph given in the I input file, with output in the primary O file and complementary information in the secondary O2 file.

-rm N O [O2]
    Compute a maximal planar random graph on N vertices with output in the primary O file and optionally the chosen graph in the O2 file.

-rn N O [O2]
    Compute a nonplanar random graph (maximal planar and an edge) on N vertices with output in the primary O file and optionally the chosen graph in the O2 file.

COMMANDS
Determine which algorithm implementation to run

-p  Planar embedding and Kuratowski subgraph isolation

-d  Planar graph drawing by visibility representation

-o  Outerplanar embedding and obstruction isolation

-2  Search for subgraph homeomorphic to K_{2,3}

-3  Search for subgraph homeomorphic to K_{3,3}

-4  Search for subgraph homeomorphic to K_4

-a  All of the above

EXAMPLES

planarity -s -q -p infile.txt embedding.out [obstruction.out]
    Process infile.txt in quiet mode (-q), putting planar embedding in embedding.out or (optionally) a Kuratowski subgraph in Obstruction.out Process returns 0=planar, 1=nonplanar, -1=error

planarity -s -q -d infile.txt embedding.out [drawing.out]
    If graph in infile.txt is planar, then put embedding in embedding.out and (optionally) an ASCII art drawing in drawing.out Process returns 0=planar, 1=nonplanar, -1=error

SEE ALSO
planarity -h -menu for more information.